clear all; close all; clc;
% path to all tools and mex files
addpath(genpath('Tools')); DefaultPrm;
%% DEFINITIONS
% data path and / or folder path
datapath    = fullfile('DataCreation',''); % the demo dataset is composed of 3 resolved star
% Field of view in "arcsecond" = PixelsResolution*SizeOfOriginalImage
FOV         = 0.01; % as
% image size for the reconstruction, pixels
nx          = 40; 
% sample index of analyzed wavelength (to reduce wavelength range index, all wavelengths is [])
% Indwvl      = []; 
Indwvl      = 1:8; 
% file index of used files (to reduce files set, all files is [])
FileIndex   = []; 
% maximum number of iteration
NbIter      = 500;
%% ADMM Initialisation
% primal residual for stopping criteria
eps1        = 1e-4;
% dual residual for stopping criteria
eps2        = 1e-4;
% ADMM data parameters
rho_y       = 10;
% Ridge parameters
epsilon     = 1e-6;
% weight of the criteria
alpha       = 1e1; % V2
beta        = 1e1; % Phases differences
% Spatial TV regularisation
rho_tv      = 5;
lambda_tv   = 2;
p_tv        = 1; % 1 is for L1, 2 is for L2 regularizor 
% spectral regularization parameters
rho_ss    	= 5;
lambda_ss 	= 2;
p_ss      	= 2; % 1 is for L1, 2 is for L2 regularizor 
% positivity + L1
rho_ps      = 1;
lambda_L1   = 0;
%% First estimate:
% with object/images 
xinit                   = zeros(nx,nx); 
xinit(nx/2+1,nx/2+1)    = 1; 
% with complexe visibility
options.CompVisInit3D   = [];
% support constraint: 2 pixels empty on the image border
mask                    = zeros(nx,nx);
mask(3:nx-2,3:nx-2)     = 1; 
%% print criteria cost
options.printcrit       = 0;
%% MinFunc, mark schmidt optim function parameters (optional)
options.minFuncMaxIter      = [];
options.minFuncMaxFunEvals  = [];
%% PLOT value, font size and or weight
FontSize 	= 8;
FontWeight 	= 'normal';
% 'Lin' or 'Log' or 'Sqrt'
plotScale   = 'Lin'; 
%% Save 
IsSaveIt    = 0;        % save each iteration in differents files
IsSave      = 0;        % save all  iteration in one files
IsAllSave   = 0;        % save all the workspace
%% MAIN
% mandatory, parameters structure
options.type = '3D';
dataornot    = 1;
PAINTER_Init;
% PAINTER
options = PAINTER(options);
% gray 2D-reconstruction
% options = PAINTER2D(options);
