function [DiffPhiAB,DiffPhiABerr] = DPhiProc(DiffPhi,DiffPhierr)
% AMBER Configuration
% For a given base at the wavelength "i", the DiffPhi is 
% DiffPhi_i = angle(y_i ./ sum_{j \neq i}(y_j))
%
% Assuming all the reference channel equal
% The DiffPhi AB is DiffPhi_A-DiffPhi_B~angle(y_A)-angle(y_B)
%
% DiffPhi is matrix (Nbase*Nwvl)
[~,Nwvl]    = size(DiffPhi);
D1              = DiffPhi(:,1);
Dr              = DiffPhi(:,2:end);
D               = repmat(D1,1,Nwvl-1);
DiffPhiAB       = D - Dr;
if nargin >1 || isempty(DiffPhierr)==1
D1              = DiffPhierr(:,1);
Dr              = DiffPhierr(:,2:end);
D               = repmat(D1,1,Nwvl-1);
DiffPhiABerr    = D + Dr;
else
DiffPhiABerr    = [];
disp(' No Error Bar ');
end