% Field of view in "arcsecond" = PixelsResolution*SizeOfOriginalImage
FOV         = 0.04; % as
% image size for the reconstruction
nx          = 40; 
% sample index of analyzed wavelength (to reduce wavelength set)
Indwvl      = []; 
% file index of used files (to reduce files set)
FileIndex   = []; 
% maximum number of iteration
NbIter      = 1000;
%% ADMM Initialisation
% primal residual for stopping criteria
eps1        = 1e-4;
% dual residual for stopping criteria
eps2        = 1e-4;
% ADMM data parameters
rho_y       = 10;
% Ridge parameters
epsilon     = 1e-6;
% weight of the criteria
alpha       = 1; % V2
beta        = 1; % Phases differences
% Spatial TV regularisation
rho_tv      = 1;
lambda_tv   = 1;
p_tv        = 1; % 1 is for L1, 2 is for L2 regularizor 
% spectral regularization parameters
rho_ss    	= 1;
lambda_ss 	= 1;
p_ss      	= 2; % 1 is for L1, 2 is for L2 regularizor 
% positivity + L1
rho_ps      = 1/2;
lambda_L1   = 1e-20;
%% First estimate:
% with object/images 
xinit                   = zeros(nx,nx); 
xinit(nx/2+1,nx/2+1)    = 1; 
options.CompVisInit3D   = [];
% support constraint
mask                    = [];
%% MinFnc, mark schmidt optim function parameters (optional)
options.minFuncMaxIter      = [];
options.minFuncMaxFunEvals  = [];
%% print criteria cost
options.printcrit           = 0;
ErrorVarV2                  = 0;
ErrorVarXi                  = 0;
dataornot                   = 1; 
%% PLOT value, font size and or weight
FontSize 	= 8;
FontWeight 	= 'normal';
% 'Lin' or 'Log'
plotScale   = 'Lin'; 
%% Save 
IsSaveIt    = 0;        % save each iteration in differents files
IsSave      = 0;        % save all  iteration in one files
IsAllSave   = 0;        % save all the workspace
options.type = '3D';