function [h1,h2] = DrawPlot(options,h1,h2)
if nargin < 3,     h2 = figure; end 
if nargin < 2,     h1 = figure; end

x   = options.sol.* options.MasqueLgr;
x   = x.*double(x>0); % unusefull but who cares !
switch options.plotScale

    case 'Lin'
    possol  = x; disp('lin');
    case 'Log'
    possol  = log10(x); disp('log');
    case 'Sqrt'
    possol  = sqrt(x); disp('sqrt');    

end

mas = (mean( possol,3 )>3.3e-2);
possol2 = possol;
possol = possol2 .* repmat(mas,[1 1 size(possol,3)]);
aa = [min(possol(:)),max(possol(:))];
if aa(2)>aa(1) 
    zclim    = aa;
else
    possol = possol2; aa = [min(possol(:)),max(possol(:))]; zclim    = aa;
end
figure(h1);
for n=1:options.Nwvl
    subplot(options.SubRow,options.SubColumn,n);
    imagesc(options.indpix,options.indpix,possol(:,:,n),zclim);        
    axis xy; axis image;
%     ylabel(options.LABELS,'fontsize',options.FontSize,'fontweight',options.FontWeight);
%     xlabel(options.LABELS,'fontsize',options.FontSize,'fontweight',options.FontWeight);
%     title([' Wavelength N: ' num2str(n) ', ' options.plotScale],'fontsize',options.FontSize,'fontweight',options.FontWeight);
    set(gca,'fontsize',options.FontSize,'fontweight',options.FontWeight);
%     colorbar;
end
colormap gray;
stringfig = sprintf('MIN: %g, MAX: %g',zclim(1),zclim(2));
set(h1,'Name',stringfig);



%% cost
figure(h2);
semilogy(options.residual(:,1),'k','linewidth',1);
hold on; semilogy(options.residual(:,2),'color',[1 1 1]/2,'linewidth',1); hold off;

title(' ADMM Residual   (semilogy) ','fontsize',options.FontSize,'fontweight',options.FontWeight);
set(gca,'fontsize',options.FontSize,'fontweight',options.FontWeight);
legend(' Primal ' , ' Dual ' );
axis square; xlim([0 size(options.residual,1)]);
drawnow;

% %% PERSO FUN
% masL = mas; masL(1:20,:) = 0; masL(end,:) = 0; 
% masB = mas; masB(20:end,:) = 0; 
% for n=1:options.Nwvl
%     tmp = possol(:,:,n);
%     fL(n) = mean( tmp( masL>0 ));
%     fB(n) = mean( tmp( masB>0 ));    
% end
% subplot(211); plot(fL); 
% subplot(212); plot(fB);
