function h1 = DrawPlot2D(options,h1)

if nargin < 2,     h1 = figure; end

figure(h1);
possol  = options.sol.* options.MasqueLgr;
if size(options.sol,3)>1,    
    possol = mean(possol,3);
    warning('3D image convert to 2D (mean) ');
end
zlim    = [min(possol(:)),max(possol(:))];

subplot(1,3,1);
imagesc(options.indpix,options.indpix,possol,zlim);        
axis xy; axis image;
ylabel(options.LABELS,'fontsize',options.FontSize,'fontweight',options.FontWeight);
xlabel(options.LABELS,'fontsize',options.FontSize,'fontweight',options.FontWeight);
title(' Linear ','fontsize',options.FontSize,'fontweight',options.FontWeight);
set(gca,'fontsize',options.FontSize,'fontweight',options.FontWeight);
colormap gray;

stringfig = sprintf('(Linear scale) MIN: %g, MAX: %g',zlim(1),zlim(2));
set(h1,'Name',stringfig);

figure(h1);
possol  = log10(possol);
zlim    = [min(possol(:)),max(possol(:))];

subplot(1,3,2);
imagesc(options.indpix,options.indpix,possol,zlim);        
axis xy; axis image;
ylabel(options.LABELS,'fontsize',options.FontSize,'fontweight',options.FontWeight);
xlabel(options.LABELS,'fontsize',options.FontSize,'fontweight',options.FontWeight);
title(' log10 ','fontsize',options.FontSize,'fontweight',options.FontWeight);
set(gca,'fontsize',options.FontSize,'fontweight',options.FontWeight);

colormap gray;

subplot(1,3,3);
semilogy(options.residual(:,1),'k','linewidth',1);
hold on; semilogy(options.residual(:,2),'color',[1 1 1]/2,'linewidth',1); hold off;

title(' ADMM Residual   (semilogy) ','fontsize',options.FontSize,'fontweight',options.FontWeight);
set(gca,'fontsize',options.FontSize,'fontweight',options.FontWeight);
legend(' Primal ' , ' Dual ' );
axis square; xlim([0 size(options.residual,1)]);
drawnow;
