function Kest   = EstKapVM(variance)
addpath(genpath(fullfile('Tools','minFunc')));
% Antony Schutz 2014, ANR - POLCA
% estimate Kappa for error bar of phases (Xi estimation)
% variance = 1 - I1(K)/I0(K), I1 and I0 modified bessel function
% If variance = 1, Kappa = 0 so no weighting and Kappa = 1;
[M,N]       = size(variance);
Kest        = zeros(M,N);
Kappa0      = 1;
for m       = 1 : M
for n       = 1 : N
if variance(m,n) == 1   
Kest(variance==1) = 1;
else
Kest(m,n)   = fminsearch(@(Kappa)VMcost(variance(m,n),Kappa),Kappa0);
end 
end
end


function c  = VMcost(variance,Kappa)
I1          = besseli(1,Kappa);
I0          = besseli(0,Kappa);
c           = abs( ((variance - 1)*I0 + I1) ).^2;