function F  = NuDFT(UV,nx,ny)
% Antony Schutz 2014, ANR - POLCA
% Non Uniform DFT Matrix:
% for a nx*nx pixels image 
% UV = [u(:),v(:)] normalized spatial frequencies (between -0.5 and 0.5)
if nargin <4, ny = nx; end
if size(UV,2) == 2
Kx          = -nx/2:nx/2-1;
Ky          = -ny/2:ny/2-1;
% Kx          = linspace(-.5,.5,nx);
% Ky          = linspace(-.5,.5,ny);
[K1,K2]     = ndgrid(Kx,Ky);
K1          = repmat(K1(:)',size(UV,1),1)/nx;
K2          = repmat(K2(:)',size(UV,1),1)/ny;
U           = repmat(UV(:,1),1,nx*ny);
V           = repmat(UV(:,2),1,nx*ny);
F           = exp(-2i*pi*(K1.*U+K2.*V))./sqrt(nx*ny);
else
   disp(' UV must be a two column vector ' ); 
end