function options = OIADMM_Init(options)

%% create data and matrix
if isfield(options,'datapath') ~= 1 
    warning(' Give data (*.fits) folder path in options.datapath, default local folder ');
    options.datapath = '';
end
if isfield(options,'FOV') ~= 1 
    warning(' No field of view given, initialize options.FOV in arcsecond, default: 40 mas (2e-7 radian)  ');
    options.FOV = 4e-2;
end
if isfield(options,'nx') ~= 1 
    warning(' No image size (in pixels) is given in options.nx, default: 64 pixels ');
    options.nx = 64;
end

if isfield(options,'Indwvl') == 1 
    if isempty(options.Indwvl) == 1 
    options = rmfield(options, 'Indwvl'); end
end
if isfield(options,'FileIndex') == 1 
    if isempty(options.FileIndex) == 1 
    options = rmfield(options, 'FileIndex'); end
end

if isfield(options,'dataornot') ~= 1 
options.dataornot           = 1;
end

switch options.dataornot 
    case 0, 
    options         = OIDataExtraction(options);        
    case 1,
    options         = OIDataExtraction(options);
    options         = makeF(options); 

    if isfield(options,'WvlMat') == 1 % grouped data
        disp(' Wavelength grouping ');
    options         = GroupData(options,1);
    options         = makeFG(options); 
    end
        
end