function options = PAINTER2D(options)
warn3D;
%% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - INITIALIZATION
% initialization auxiliary variables
z           = zeros(2*nx*nx,1);
w           = zeros(nx*nx,1);
% initialization Lagrange multipliers
tau_tv      = zeros(2*nx*nx,1);
tau_w       = zeros(nx*nx,1);
tau_xc      = zeros(Nbase*Nwvl,1);
tau_pwc     = zeros(Nbase*Nwvl,1);
tau_xic     = zeros(Nbase*Nwvl,1);
ys          = zeros(Nbase*Nwvl,1);
% Structure Init for ADMM - warning and error checking

% matrix inversion pre calculus
M           = inv(rho_y*(Fr'*Fr) + rho_tv*(Htv'*Htv) + (rho_ps+epsilon)*eye(nx*nx));
Fx          = yc(:);
sol         = zeros(nx,nx);
global loop;
loop        = 1;

h1          = figure;
set(h1,'ButtonDownFcn','MyStopFct;');

ind         = 0;

while loop  == 1
    ind     = ind + 1;
    
    % update of yc from V2
    u       = yc(:) + tau_pwc(:)/rho_y;
    yp      = ProxWV2(options,u);
    % update of yc from Xi
    u       = yc(:) + tau_xic(:)/rho_y;
    yx      = GradphiWMF(options,u);
    % mean of lagrange multipliers and complexe visibilities estimate
    ye      =  ys;
    yc      = ( yp+yx+Fx +(tau_xc - (tau_pwc+tau_xic))./rho_y  )./3;
    ys      = yc;
    % update of x_m
    tau_x   = [real(tau_xc) ;imag(tau_xc) ];
    yrused  = [real(yc);imag(yc)];      
    x1      = Fr'*(rho_y*yrused -tau_x);
    x       = M*( x1 + Htv'*(rho_tv*z-tau_tv) + (rho_ps*w-tau_w) );        
    X       = sol;
    sol     = reshape(x,nx,nx);
    Fx      = F*x ;
    % update of z
    HX      = Htv*x;
    if rho_tv>0
        u       = HX+tau_tv/rho_tv;
        z       = Uprox_lp(u,lambda_tv/rho_tv,p_tv);
    end
    % update of w
    if rho_ps>0
        u       = x + tau_w./rho_ps;
        w 		= max( max(0,u).*mask(:) - lambda_L1,0);
    end
    % update of tau
    tau_pwc = tau_pwc+rho_y *(yc - yp);
    tau_xic = tau_xic+rho_y *(yc - yx);
    tau_xc  = tau_xc +rho_y *(Fx - yc);
    tau_tv  = tau_tv +rho_tv*(HX  - z);
    tau_w   = tau_w  +rho_ps*(x   - w);
    
    % stop criteria and plot
    n1      = norm( sol(:)-X(:) ,2);
    n2      = norm(rho_y*F'*(ye(:)-ys(:)),2);    
    ok      = (n1>options.eps1)|(n2>options.eps2);    
    loop    = (loop*ok)&(ind <= NbIter);
    
    residual(ind,:)     = [n1,n2];
    AllSol(:,:,:,ind)   = sol;
    options.MasqueLgr   = reshape(double(w>0),[nx nx]);
    AllPos(:,:,:,ind)   = options.MasqueLgr;
    
    options.residual    = residual;
    options.sol         = sol;
    
    h1                  = DrawPlot2D(options,h1);
    
    if IsSaveIt == 1
        save(['SaveOptions_' num2str(ind) '.mat'],'-struct','options');
    end
    
end

options.yc              = yc;
options.IterationIndex  = ind;

if IsAllSave == 1 
options.AllSol          = AllSol;
options.Allpos          = Allw;
save(['SaveOptionsAll_' num2str(ind) '.mat'],'-struct','options');
end
%% save
if IsSave == 1
    save('PAINTER_Workspace.mat','-mat');
end

